#include<iostream>
#include "param.h"
#include<vector>
#include "qdir.h"
#include "qstring.h"
#include "qfileinfo.h"
#include "Dal.h"
#include"errstr.h"
#include<stdlib.h>
/***************************************************************
*
*
*
* 
****************************************************************/

extern "C" void getsaspath_(char* pathstring)
{

    errstr << "Getting the SAS path for omprep"
           << Sas::message(Msg::App, Msg::Sparse);
 
    char* saspath=getenv("SAS_PATH");

    sprintf(pathstring,"%s",saspath);

}

extern "C" void getsasattitude_(char* sasattitudestring)
{

 
    char* sasvariable=getenv("SAS_ATTITUDE");
    if (sasvariable == NULL){
      sprintf(sasattitudestring,"%s", "NULL");
    }
    else {
      sprintf(sasattitudestring,"%s",sasvariable);
    }
}

extern "C" void setsasattitude_(char* sasattitudevalue)
{
 
  errstr << "Setting the SAS_ATTITUDE variable for omprep to " << sasattitudevalue
           << Sas::message(Msg::App, Msg::Sparse);

  //setenv("SAS_ATTITUDE",sasattitudevalue,1);
#if defined(__SUNPRO_CC) || defined(SUNOS) || defined(__SUNPRO_C) || defined(__SVR4) || defined(__sun)
  putenv("SAS_ATTITUDE=sasattitudevalue");
#else
    setenv("SAS_ATTITUDE",sasattitudevalue,1);
#endif

}

extern "C" void setsasattituderaf_()
{
  char* sasattitudevalue="RAF";
 
  errstr << "Setting the SAS_ATTITUDE variable for omprep to " << sasattitudevalue
           << Sas::message(Msg::App, Msg::Sparse);

  //setenv("SAS_ATTITUDE",sasattitudevalue,1);
#if defined(__SUNPRO_CC) || defined(SUNOS) || defined(__SUNPRO_C) || defined(__SVR4) || defined(__sun)
  putenv("SAS_ATTITUDE=sasattitudevalue");
#else
  setenv("SAS_ATTITUDE",sasattitudevalue,1);
#endif


}

extern "C" void setsasattitudeahf_()
{
  char* sasattitudevalue="AHF:RAF";
 
  errstr << "Setting the SAS_ATTITUDE variable for omprep to " << sasattitudevalue
           << Sas::message(Msg::App, Msg::Sparse);

  //setenv("SAS_ATTITUDE",sasattitudevalue,1);

#if defined(__SUNPRO_CC) || defined(SUNOS) || defined(__SUNPRO_C) || defined(__SVR4) || defined(__sun)
  putenv("SAS_ATTITUDE=sasattitudevalue");
#else
  setenv("SAS_ATTITUDE",sasattitudevalue,1);
#endif

}

